<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/XRefPager/XRefPager.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.XRefPager.XRefPager</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../HTML.html" >HTML</a>.<a href="../XRefPager.html" >XRefPager</a>
</div><div class="class-name">class XRefPager

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/HTML/XRefPager.py.html" target="detail">../Synopsis/Formatters/HTML/XRefPager.py</a></div> <div class="xref"><a href="../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.XRefPager.XRefPager" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line8" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">Generates pages of cross-references.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="page_map">page_map</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line13" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="page_info">page_info</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line14" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">ir</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.XRefPager.XRefPager.__init__" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line11" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="XRefPager.html#get" >get</a></span>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.XRefPager.XRefPager.get" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line37" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the number of the page that the xref info for the given
        name is on&#44; or None if not found.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="XRefPager.html#pages" >pages</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.XRefPager.XRefPager.pages" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line43" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of pages&#44; each consisting of a list of names on that
        page.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="get">get</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.XRefPager.XRefPager.get" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line37" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns the number of the page that the xref info for the given
        name is on&#44; or None if not found.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="pages">pages</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.XRefPager.XRefPager.pages" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/HTML/XRefPager.py.html#line43" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of pages&#44; each consisting of a list of names on that
        page. This method is intended to be used by whatever generates the
        files...</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
